Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.user
Class Classification

    java.lang.Object
      |
      +--com.bea.p13n.user.Classification

All Implemented Interfaces:
  Serializable

public class Classification
extends Object
implements Serializable

This class represents a classification (typically a user segmentation).

See Also:
  Serialized Form

Constructor Summary
`Classification()` Creates an instance of Classification without an initial classification.
`Classification(String initialName)` Creates an instance of Classification with an initial classification.

Method Summary
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`String` | `getName()` Retrieve the name of the classification
`void` | `setName(String name)` Set the name of the classification

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Classification

    public Classification()

  Creates an instance of Classification without an initial classification.

### Classification

    public Classification(String initialName)

  Creates an instance of Classification with an initial classification.

Method Detail

### getName

    public String getName()

  Retrieve the name of the classification

### setName

    public void setName(String name)

  Set the name of the classification

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the `obj` argument; `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved